DTDEntityResolver (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.xml
Class DTDEntityResolver

    java.lang.Object
      org.hibernate.internal.util.xml.DTDEntityResolver

All Implemented Interfaces:
  Serializable, EntityResolver

Direct Known Subclasses:
  EJB3DTDEntityResolver

    public class DTDEntityResolver

extends Object
implements EntityResolver, Serializable

An `EntityResolver` implementation which attempts to resolve various systemId URLs to local classpath look ups

1. Any systemId URL beginning with `http://www.hibernate.org/dtd/` is searched for as a classpath resource in the classloader which loaded the Hibernate classes.
2. Any systemId URL using `classpath` as the scheme (i.e. starting with `classpath://` is searched for as a classpath resource using first the current thread context classloader and then the classloader which loaded the Hibernate classes.

Any entity references which cannot be resolved in relation to the above rules result in returning null, which should force the SAX reader to handle the entity reference in its default manner.

See Also:
  Serialized Form

Constructor Summary
`DTDEntityResolver()`

Method Summary
`InputSource` | `resolveEntity(String publicId, String systemId)`
`protected InputStream` | `resolveInHibernateNamespace(String path)`
`protected InputStream` | `resolveInLocalNamespace(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTDEntityResolver

    public DTDEntityResolver()

Method Detail

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)

  Specified by:
    `resolveEntity` in interface `EntityResolver`

### resolveInHibernateNamespace

    protected InputStream resolveInHibernateNamespace(String path)

### resolveInLocalNamespace

    protected InputStream resolveInLocalNamespace(String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.